After February 20th 2018, all embed and API requests to strawpoll.me must use a secure connection (https).

Would you pay to help /u/lax20attack get PokeAdvisor up and running again?

Results